Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 348063 - mail-client/evolution-2.32.1 fails to copy address book
Summary: mail-client/evolution-2.32.1 fails to copy address book
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.32
  Show dependency tree
 
Reported: 2010-12-07 19:11 UTC by Allan Gottlieb
Modified: 2011-05-11 18:11 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Gottlieb 2010-12-07 19:11:10 UTC
Evolution updated today to version 2.32.1
The addressbook did not copy over to .local.
When evolution starts a window pops up stating
Unable to open address book

This address book cannot be opened.  Please check that the path /home/gottlieb/.local/share/evolution/addressbook/system exists and that permissions are set to access it.

Detailed error message: Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached

When evolution is started from a terminal it
prints on the screen
 
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Migrating cached data
Migrating config data
Migrating local user data
  rmdir /home/gottlieb/.evolution/memos
  FAILED: Directory not empty (contents follows)
          views
  rmdir /home/gottlieb/.evolution/addressbook
  FAILED: Directory not empty (contents follows)
          views
          local
  rmdir /home/gottlieb/.evolution/tasks
  FAILED: Directory not empty (contents follows)
          tasks
          views
  rmdir /home/gottlieb/.evolution/calendar
  FAILED: Directory not empty (contents follows)
          views

(evolution:18289): libebook-WARNING **: e-book.c:3079: cannot activate book: Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached

(evolution:18289): e-utils-WARNING **: Something called e_alert_dialog_constructed() with a NULL parent window.  This is no longer legal, please fix it.

I the old location ~/.evolution/addressbook/local/system
there are a number of files.  I have NOT tried to manually
copy them to the new ~/.local/share/evolution/addressbook/system
(I would mkdir system first).  Should I do this?

thanks

Reproducible: Always

Steps to Reproduce:
1. Start evolution from a terminal or a launcher
2.
3.

Actual Results:  
evolution starts but cannot open address book and prints msgs
and pops up a window (see description).
No contacts are available

Expected Results:  
Addressbook opens and contacts available

Portage 2.1.9.25 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.1, glibc-2.12.1-r3, 2.6.36-gentoo-r3-ajg-1 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r3-ajg-1-x86_64-Intel-R-_Core-TM-_i7_CPU_M_620_@_2.67GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 07 Dec 2010 10:55:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r2
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.6.7
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.5.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ABI="amd64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.1 Broadcom googleearth"
ACCEPT_PROPERTIES="*"
ADA_INCLUDE_PATH="/usr/lib64/gnat-gpl/x86_64-pc-linux-gnu/4.1/adainclude"
ADA_OBJECTS_PATH="/usr/lib64/gnat-gpl/x86_64-pc-linux-gnu/4.1/adalib"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CDEFINE_amd64="__x86_64__"
CDEFINE_x86="__i386__"
CFLAGS="-march=native -O2 -pipe"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules"
COLORTERM="gnome-terminal"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CVS_RSH="ssh"
CXXFLAGS="-O2 -pipe"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-WpwAA5C8tY,guid=c0fdfee05629fe35b51ebdcb00000d03"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="gnome"
DISPLAY=":0.0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/emacs"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--ask --deep --tree --verbose"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FEATURES="assume-digests binpkg-logs buildsyspkg distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FETCHCOMMAND="/usr/bin/wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec sftp -P \${port} \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
GDK_USE_XFT="1"
GDMSESSION="gnome"
GDM_LANG="en_US.utf8"
GDM_XSERVER_LOCATION="local"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
GNOME_KEYRING_CONTROL="/tmp/keyring-vcPQ89"
GNOME_KEYRING_PID="8279"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx"
GTK_RC_FILES="/etc/gtk/gtkrc:/home/gottlieb/.gtkrc-1.2-gnome2"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HOME="/home/gottlieb"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.20.1/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.1/info:/usr/share/info/emacs-23:/usr/share/gnat-gpl-data/x86_64-pc-linux-gnu/4.1/info"
INPUT_DEVICES="keyboard mouse evdev"
JAVAC="/home/gottlieb/.gentoo/java-config-2/current-user-vm/bin/javac"
JAVACC_HOME="/usr/share/javacc/"
JAVA_HOME="/home/gottlieb/.gentoo/java-config-2/current-user-vm"
JDK_HOME="/home/gottlieb/.gentoo/java-config-2/current-user-vm"
KERNEL="linux"
LANG="en_US.utf8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LINGUAS="en"
LOGNAME="gottlieb"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAKEOPTS="-j5"
MANPATH="/home/gottlieb/.gentoo/java-config-2/current-user-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.20.1/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.1/man:/etc/java-config/system-vm/man/:/usr/share/gnat-gpl-data/x86_64-pc-linux-gnu/4.1/man"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NOCOLOR="true"
OPENGL_PROFILE="nvidia"
ORBIT_SOCKETDIR="/tmp/orbit-gottlieb"
PAGER="/usr/bin/less"
PATH="/home/gottlieb/bin/:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.1:/usr/x86_64-pc-linux-gnu/gnat-gpl-bin/4.1:/usr/libexec/gnat-gpl/x86_64-pc-linux-gnu/4.1:/usr/games/bin"
PHP_TARGETS="php5-2"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc x86-openbsd ppc-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris mips-irix m68k sh x86-solaris sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="info log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SANDBOX_COMPAT_LEVEL="16"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PRELINK_PATH_MASK="/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/home/gottlieb"
PYTHONDONTWRITEBYTECODE="1"
RESUMECOMMAND="/usr/bin/wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.1:/usr/x86_64-pc-linux-gnu/gnat-gpl-bin/4.1:/usr/libexec/gnat-gpl/x86_64-pc-linux-gnu/4.1"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby18"
SANE_CONFIG_DIR="/etc/sane.d"
SCHEME_LIBRARY_PATH="/usr/share/slib/"
SESSION_MANAGER="local/ajglap:@/tmp/.ICE-unix/8288,unix/ajglap:/tmp/.ICE-unix/8288"
SHELL="/bin/bash"
SHLVL="1"
SSH_AGENT_PID="8318"
SSH_AUTH_SOCK="/tmp/keyring-vcPQ89/ssh"
STAGE1_USE="multilib nptl nptlonly unicode"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
USB_DEVFS_PATH="/dev/bus/usb"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gdu gif gnome gnome-keyring gpm gstreamer gtk hal iconv ipv6 jpeg laptop lcms ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 readline scanner sdl session spell sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
USER="gottlieb"
USERLAND="GNU"
USERNAME="gottlieb"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL PHP_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VIDEO_CARDS="nvidia nv vesa"
WINDOWID="44079126"
WINDOWPATH="7"
XAUTHORITY="/home/gottlieb/.Xauthority"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_MENU_PREFIX="gnome-"
XDG_SESSION_COOKIE="00c0481bcda5e9681acf72c20000000e-1291724112.904459-987728027"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
XZ_OPT="--memory=max"
_="/usr/bin/emerge"
Comment 1 Pacho Ramos gentoo-dev 2010-12-07 19:32:50 UTC
Yeah, I already got this but forgot the problem since only affects me when clicking in "contacts" and, since I only use "Mail" view most of the times :-/

I would probably try to apply this patch to evolution as maybe it would help:
http://git.gnome.org/browse/evolution/commit/?h=gnome-2-32&id=d3d6d96ed54b29787d79863e4808dbaab56a0f02

But I don't have much time right now (and my dev machine gets a lot of time to build evolution) then, I would highly appreciate if you could test if it works for you or we should research a bit more :-)

Thanks a lot
Comment 2 Allan Gottlieb 2010-12-07 20:43:48 UTC
(In reply to comment #1)
> Yeah, I already got this but forgot the problem since only affects me when
> clicking in "contacts" and, since I only use "Mail" view most of the times :-/
> 
> I would probably try to apply this patch to evolution as maybe it would help:
> http://git.gnome.org/browse/evolution/commit/?h=gnome-2-32&id=d3d6d96ed54b29787d79863e4808dbaab56a0f02
> 
> But I don't have much time right now (and my dev machine gets a lot of time to
> build evolution) then, I would highly appreciate if you could test if it works
> for you or we should research a bit more :-)
> 
> Thanks a lot
> 

I will be away from the machine for the rest of this week, but will try the patch next tuesday.
Comment 3 Pacho Ramos gentoo-dev 2010-12-14 18:43:42 UTC
To CCed people:

There are more information about this issue and possible solution on upstream bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=634897#c2

Maybe you have time to try them :-)
Comment 4 John Christian Stoddart (RETIRED) gentoo-dev 2010-12-14 23:44:08 UTC
(In reply to comment #3)
> To CCed people:
> 
> There are more information about this issue and possible solution on upstream
> bug report:
> https://bugzilla.gnome.org/show_bug.cgi?id=634897#c2
> 
> Maybe you have time to try them :-)

Pacho, could you please look at https://bugzilla.gnome.org/show_bug.cgi?id=632962 it seems that this issue has been corrected for evolution-data-server and evolution 2.32.2+.

Thanks for your excellent effort.
Comment 5 Pacho Ramos gentoo-dev 2010-12-15 09:35:28 UTC
Fine, but looks like upstream has not released any 2.32.2 tarball yet :-/, I would prefer to wait a bit more before including a lot of patches for e-d-s and evolution on a new revision bump
Comment 6 Pacho Ramos gentoo-dev 2011-01-01 18:13:34 UTC
gnome-extra/evolution-data-server-2.32.1-r1
mail-client/evolution-2.32.1-r1

include all upstream patches from 2.32 branch
Comment 7 Allan Gottlieb 2011-01-11 03:47:34 UTC
(In reply to comment #6)
> gnome-extra/evolution-data-server-2.32.1-r1
> mail-client/evolution-2.32.1-r1
> 
> include all upstream patches from 2.32 branch
> 
I am now running 2.32.1-r1.  I am not seeing my contacts.  The system
has not moved .evolution/addressbook/local/system to
.local/share/evolution/addressbook/system.  I can move the directory manually,
but am not sure if that is the appropriate action.
Comment 8 Per Öberg 2011-01-12 09:15:35 UTC
Please reopen this because it seems like both Allan and I are having issues still. My evolution is missbehaving using 2.32.1-r1 for evolution and evolution-data-server.

I did my upgrade 2011-01-05 so i never hit the "original" bug but went directly to 2.32.1-r1 from 2.30.3. 

The problem I am having is that my addressbook never got moved and since evolution didn't want to delete non-empty directories I saved my adressbook in a temp-folder while deleting the now empty directories. 

Evolution still doen't seem to know what to do and complains that there are addressbook-files missing. So my quesition is

What do I do now? Do I start over with a new evolution setup or can I fix my current manually. What do need to delete to make evolution start over  completely. Is everything gathered in .local/share/evolution ?
Comment 9 Pacho Ramos gentoo-dev 2011-01-12 11:14:39 UTC
The problems you are suffering are probably caused by files don't getting properly moved to .config when updating from 2.30 to 2.32 (people coming now from 2.30 to latest 2.32 shouldn't suffer that problems).

Please take a look on "evolution" messages when running in terminal, you will probably see some files are not being moved as they already exists in their new locations, then, maybe you would move ~/.evolution to ~/.evolution.old and see what happens. 

Maybe you will also need to "play" a bit with gconf-editor as pointed in upstream bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=634897
Comment 10 Per Öberg 2011-01-12 21:29:16 UTC
(In reply to comment #9)
> Maybe you will also need to "play" a bit with gconf-editor as pointed in
> upstream bug report:
> https://bugzilla.gnome.org/show_bug.cgi?id=634897
> 

I appreciate your answer but I don't believe that this is the case no more. I certainly had some iussues with things that wasn't moved correctly but I created a completely new user and tried setting up evoultion from scratch.

This is what happens:

1) First time around everythings seems fine and dandy, I create my mail-account (an imap account) and nothing more. 

2) I restart evolution, I now find that  it hangs for a while on "Formatting message", after or during which stdout says

(evolution:17082): libebook-WARNING **: e-book.c:3079: cannot activate book: Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached

(evolution:17082): evolution-mail-WARNING **: search_address_in_addressbooks: Unable to create addressbook 'Personal': Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached


3) I now go to contacts to see what's wrong. There I have a "Personal" addressbook "On This Computer" and after a while I get a popup saying:

"This address book cannot be opened.  Please check that the path /home/obergtest/.local/share/evolution/addressbook/system exists and that permissions are set to access it.

Detailed error message: Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached"


I naturally checked the permissions and existance of mentioned file/directory but to no success. Look for example at: 

ls -la /home/obergtest/.local/share/evolution/

drwx------ 6 obergtest obergtest 4096 12 jan 22.09 .
drwxr-xr-x 5 obergtest obergtest 4096 12 jan 22.09 ..
drwx------ 3 obergtest obergtest 4096 12 jan 22.09 calendar
-rw-r--r-- 1 obergtest obergtest 2595 12 jan 22.09 categories.xml
drwx------ 5 obergtest obergtest 4096 12 jan 22.11 mail
drwx------ 3 obergtest obergtest 4096 12 jan 22.09 memos
drwx------ 3 obergtest obergtest 4096 12 jan 22.09 tasks

Now, If someone want's to argue that having to use gconf-editor on a fresh user setup to make it behave correctly is NOT a bug then be my gest. =)
Comment 11 Allan Gottlieb 2011-01-12 22:26:22 UTC
(In reply to comment #9)
> The problems you are suffering are probably caused by files don't getting
> properly moved to .config when updating from 2.30 to 2.32 (people coming now
> from 2.30 to latest 2.32 shouldn't suffer that problems).
> 
> Please take a look on "evolution" messages when running in terminal, you will
> probably see some files are not being moved as they already exists in their new
> locations, then, maybe you would move ~/.evolution to ~/.evolution.old and see
> what happens. 
> 
I (reporter of this bug) am still not able to get my addressbook and tasks
since ungrading to 2.32.1.  I was planing to wait for 2.32.2 (can search addressbook data with emacs, thank you text files), but comments here suggest that 2.32.1-r1 has all the fixes and I still don't get addressbook and tasks.
Should I wait for 2.32.2 or is there something else to try?  (I also get some duplicate "on this computer" entries, but can live with that).  Should I take this question to evolution-list@gnome.org or is it appropriate here?

When started from a terminal evo says

Migrating cached data
Migrating config data
Migrating local user data
  rmdir /home/gottlieb/.evolution/addressbook
  FAILED: Directory not empty (contents follows)
          local
  rmdir /home/gottlieb/.evolution/tasks
  FAILED: Directory not empty (contents follows)
          tasks

(evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble' is invalid or out of range for property `width' of type `gdouble'

(evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble' is invalid or out of range for property `width' of type `gdouble'

(evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble' is invalid or out of range for property `width' of type `gdouble'

(evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble' is invalid or out of range for property `width' of type `gdouble'

thanks.
Comment 12 Pacho Ramos gentoo-dev 2011-01-13 19:23:57 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Maybe you will also need to "play" a bit with gconf-editor as pointed in
> > upstream bug report:
> > https://bugzilla.gnome.org/show_bug.cgi?id=634897
> > 
> 
> I appreciate your answer but I don't believe that this is the case no more. I
> certainly had some iussues with things that wasn't moved correctly but I
> created a completely new user and tried setting up evoultion from scratch.
> 
> This is what happens:
> 

This is a different problem then and you will need to open a separate bug report for it.

> 1) First time around everythings seems fine and dandy, I create my mail-account
> (an imap account) and nothing more. 
> 
> 2) I restart evolution, I now find that  it hangs for a while on "Formatting
> message", after or during which stdout says
> 
> (evolution:17082): libebook-WARNING **: e-book.c:3079: cannot activate book:
> Error calling StartServiceByName for
> org.gnome.evolution.dataserver.AddressBook: Timeout was reached
> 
> (evolution:17082): evolution-mail-WARNING **: search_address_in_addressbooks:
> Unable to create addressbook 'Personal': Error calling StartServiceByName for
> org.gnome.evolution.dataserver.AddressBook: Timeout was reached
> 
> 
> 3) I now go to contacts to see what's wrong. There I have a "Personal"
> addressbook "On This Computer" and after a while I get a popup saying:
> 
> "This address book cannot be opened.  Please check that the path
> /home/obergtest/.local/share/evolution/addressbook/system exists and that
> permissions are set to access it.
> 
> Detailed error message: Error calling StartServiceByName for
> org.gnome.evolution.dataserver.AddressBook: Timeout was reached"
> 
> 
> I naturally checked the permissions and existance of mentioned file/directory
> but to no success. Look for example at: 
> 
> ls -la /home/obergtest/.local/share/evolution/
> 
> drwx------ 6 obergtest obergtest 4096 12 jan 22.09 .
> drwxr-xr-x 5 obergtest obergtest 4096 12 jan 22.09 ..
> drwx------ 3 obergtest obergtest 4096 12 jan 22.09 calendar
> -rw-r--r-- 1 obergtest obergtest 2595 12 jan 22.09 categories.xml
> drwx------ 5 obergtest obergtest 4096 12 jan 22.11 mail
> drwx------ 3 obergtest obergtest 4096 12 jan 22.09 memos
> drwx------ 3 obergtest obergtest 4096 12 jan 22.09 tasks
> 
> Now, If someone want's to argue that having to use gconf-editor on a fresh user
> setup to make it behave correctly is NOT a bug then be my gest. =)
> 

Obviously it's not normal is running on a new created user with latest evolution-2.32.1-r1 and latest evolution-data-server (it's also important to run latest evolution-data-server)

But will go to discuss it on the new bug report ;-)
Comment 13 Pacho Ramos gentoo-dev 2011-01-13 19:28:36 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > The problems you are suffering are probably caused by files don't getting
> > properly moved to .config when updating from 2.30 to 2.32 (people coming now
> > from 2.30 to latest 2.32 shouldn't suffer that problems).
> > 
> > Please take a look on "evolution" messages when running in terminal, you will
> > probably see some files are not being moved as they already exists in their new
> > locations, then, maybe you would move ~/.evolution to ~/.evolution.old and see
> > what happens. 
> > 
> I (reporter of this bug) am still not able to get my addressbook and tasks
> since ungrading to 2.32.1. 

Please only try with -r1 for both: evolution and evolution-data-server

> I was planing to wait for 2.32.2 (can search
> addressbook data with emacs, thank you text files), but comments here suggest
> that 2.32.1-r1 has all the fixes and I still don't get addressbook and tasks.
> Should I wait for 2.32.2 or is there something else to try?  (I also get some
> duplicate "on this computer" entries, but can live with that).  Should I take
> this question to evolution-list@gnome.org or is it appropriate here?

They will probably point yo to:
https://bugzilla.gnome.org/show_bug.cgi?id=634794#c1
https://bugzilla.gnome.org/show_bug.cgi?id=632962

> 
> When started from a terminal evo says
> 
> Migrating cached data
> Migrating config data
> Migrating local user data
>   rmdir /home/gottlieb/.evolution/addressbook
>   FAILED: Directory not empty (contents follows)
>           local
>   rmdir /home/gottlieb/.evolution/tasks
>   FAILED: Directory not empty (contents follows)
>           tasks
> 

What does occur when you move .evolution dir to .evolution.old ?

> (evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble'
> is invalid or out of range for property `width' of type `gdouble'
> 
> (evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble'
> is invalid or out of range for property `width' of type `gdouble'
> 
> (evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble'
> is invalid or out of range for property `width' of type `gdouble'
> 
> (evolution:3603): GLib-GObject-WARNING **: value "-3.000000" of type `gdouble'
> is invalid or out of range for property `width' of type `gdouble'
> 

These are only warnings that shouldn't cause problems :-/
Comment 14 Per Öberg 2011-01-13 21:51:39 UTC
(In reply to comment #12)

My issue is now reported as Bug 351606 

I failed to reproduce the exact same scenario but the behaviour is still strange.
Comment 15 Allan Gottlieb 2011-01-13 22:58:18 UTC
(In reply to comment #13)
> (In reply to comment #11)

> > I (reporter of this bug) am still not able to get my addressbook and tasks
> > since ungrading to 2.32.1. 
> 
> Please only try with -r1 for both: evolution and evolution-data-server

I should have been clearer.  I did have -r1 for both. 

> > When started from a terminal evo says
> > 
> > Migrating cached data
> > Migrating config data
> > Migrating local user data
> >   rmdir /home/gottlieb/.evolution/addressbook
> >   FAILED: Directory not empty (contents follows)
> >           local
> >   rmdir /home/gottlieb/.evolution/tasks
> >   FAILED: Directory not empty (contents follows)
> >           tasks
> > 
> 
> What does occur when you move .evolution dir to .evolution.old ?

The error messages do NOT appear, but I still do not have my addressbook
(the files are there in the directory now called .evolution.old).
 
After a few seconds a dialog box appears saying that there is a problem reading
/home/gottlieb/.local/share/evolution/system.

It wasn't there so I created it and started again with the same result, which now is an incorrect complaint that it can't read a directory that is definitely readable (by my user).

Can I just copy the files from .evolution.old/addressbook/local/system/addressbook.db{, .summary} to .local/share/evolution/system or has the format
of the files changed?


Comment 16 Pacho Ramos gentoo-dev 2011-01-14 10:39:51 UTC
(In reply to comment #15)
> The error messages do NOT appear, but I still do not have my addressbook
> (the files are there in the directory now called .evolution.old).
> 
> After a few seconds a dialog box appears saying that there is a problem reading
> /home/gottlieb/.local/share/evolution/system.
> 
> It wasn't there so I created it and started again with the same result, which
> now is an incorrect complaint that it can't read a directory that is definitely
> readable (by my user).
> 
> Can I just copy the files from
> .evolution.old/addressbook/local/system/addressbook.db{, .summary} to
> .local/share/evolution/system or has the format
> of the files changed?
> 

What exact error is shown in terminal and opened window showing the problem?
Comment 17 jcat 2011-02-07 20:52:45 UTC
Hi,


I have this same problem on x86 (this isn't arch specific).
I've just tried the latest addition to the tree, evolution-2.32.2, but the problem is the same.

The problem in fact seems to be that the e-addressbook-factory process just spirals, consuming 100% CPU time of one core.

If I strace the process, I get a repeated message:

sched_yield()                           = 0
sched_yield()                           = 0
sched_yield()                           = 0


..before the process eventually dies with:
+++ killed by SIGKILL +++

It seems to be some kind of dbus interaction that's failing.

So the problem is not that evolution can't move the contacts to the new location under ~/.local/share/evolution/ due to fs permissions, but it seems that e-addressbook-factory can't communicate through dbus properly, so the process fails.

If I remove all evolution data from home, and configure evolution from scratch, I get the same e-addressbook timeout errors when I try and create address books and contacts.

Not sure whey this bug was closed?
The original bug poster, and now myself, still have no fix.



Cheers,
jcat
Comment 18 Allan Gottlieb 2011-02-07 22:30:24 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > The error messages do NOT appear, but I still do not have my addressbook
> > (the files are there in the directory now called .evolution.old).
> > 
> > After a few seconds a dialog box appears saying that there is a problem reading
> > /home/gottlieb/.local/share/evolution/system.
> > 
> > It wasn't there so I created it and started again with the same result, which
> > now is an incorrect complaint that it can't read a directory that is definitely
> > readable (by my user).
> > 
> > Can I just copy the files from
> > .evolution.old/addressbook/local/system/addressbook.db{, .summary} to
> > .local/share/evolution/system or has the format
> > of the files changed?
> > 
> 
> What exact error is shown in terminal and opened window showing the problem?
> 

OK.  Current Status: ~amd64 evolution-2.32.2, e-d-s-2.32.2, evo-python-2.32.0,
evo-webcal-2-32-0.  Calendar works; addressbook fails; tasks fail (I don't use evo for Mail)

When I try evolution --component=addressbook  evo starts and asserts "there are
no items to show in this view".  Some seconds later a dialog box appear saying

  Unable to open address book

  This address book cannot be opened.  Please check that the path
  /home/gottlieb/.local/share/evolution/addressbook/system exists and that
  permissions are set to access it.

  Detailed error message: Error calling StartServiceByName for
  org.gnome.evolution.dataserver.AddressBook: Timeout was reached

Note that /home/gottlieb/.local/share/evolution/addressbook/system *does*
exist and I can read it.  The directory is empty.

I had been asked to move my ~/.evolution to ~/.evolution.old, which I did.

If I move it back and try evolution --component=addressbook, the same dialog
box appears but I get the following on the screen

  Migrating cached data
  Migrating config data
  Migrating local user data
    rmdir /home/gottlieb/.evolution/addressbook
    FAILED: Directory not empty (contents follows)
            local
    rmdir /home/gottlieb/.evolution/tasks
    FAILED: Directory not empty (contents follows)
            tasks

  (evolution:13026): libebook-WARNING **: e-book.c:3079: cannot activate book:
  Error calling StartServiceByName for
  org.gnome.evolution.dataserver.AddressBook: Timeout was reached

  (evolution:13026): e-utils-WARNING **: Something called
  e_alert_dialog_constructed() with a NULL parent window.  This is no longer
  legal, please fix it.
Comment 19 Pacho Ramos gentoo-dev 2011-02-08 09:10:28 UTC
(In reply to comment #17)
Jcat, please open a new bug report for your issues(In reply to comment #18)

> (In reply to comment #16)

And the same for you ;-)
Comment 20 Allan Gottlieb 2011-02-08 15:23:56 UTC
(In reply to comment #19)
> (In reply to comment #17)
> Jcat, please open a new bug report for your issues(In reply to comment #18)
> 
> > (In reply to comment #16)
> 
> And the same for you ;-)
> 

I am sorry but could not quite understand all the references.  I am the author of comment #18.  Do you want that submitted as a new bug?
thanks, allan gottlieb
Comment 21 Pacho Ramos gentoo-dev 2011-02-08 17:27:21 UTC
Yes, I think it will clarify present problems you are still suffering, thanks
Comment 22 Juergen Rose 2011-05-11 12:56:48 UTC
Is this issue anyway solved? On some computers the contact data are not copied from .evolution to .local, at some others I have the contact data under .local/share/evolution/addressbook/system/

rose@moose:/home/rose(434)$ ls -l .local/share/evolution/addressbook/system/
insgesamt 16
-rw-r----- 1 rose rose 12288 10. Mär 12:46 addressbook.db
-rw-r----- 1 rose rose   164 10. Mär 12:46 addressbook.db.summary

But I am not able to access them.

Adressbuch konnte nicht geöffnet werden

Dieses Adressbuch konnte nicht geöffnet werden. Bitte überprüfen Sie, ob der Pfad /home/rose/.local/share/evolution/addressbook/system existiert und Sie darauf zugreifen dürfen.
Ausführliche Fehlernachricht: Fehler beim Aufruf von StartServiceByName für org.gnome.evolution.dataserver.AddressBook: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Activation of org.gnome.evolution.dataserver.AddressBook timed out

(This addressbook could not be opened. Please check, if the path ... exists and if you can access it....)

I created a new user test_rose and a new evolution mail account. If seclect contacts I get the same error messages. If I try to import an vcf files with contacts in vcard format evolution crashes with:


rose_test@orca ~ $ evolution

(evolution:21175): evolution-network-manager-WARNING **: network_manager_check_initial_state: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

(evolution:21175): libebook-WARNING **: e-book.c:3079: cannot activate book: Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached

(evolution:21175): e-utils-WARNING **: Something called e_alert_dialog_constructed() with a NULL parent window.  This is no longer legal, please fix it.
eplugin-readdbx-Message: DBX Plugin enabled

(evolution:21175): libebook-WARNING **: e-book.c:3079: cannot activate book: Error calling StartServiceByName for org.gnome.evolution.dataserver.AddressBook: Timeout was reached
Evolution-Importer-Message: evolution-vcard-importer.c:498:Couldn't create EBook.



And I think that I have the newest evolution packages:
rose_test@orca ~ $ qlist -Iv evo
dev-python/evolution-python-2.32.0
gnome-extra/evolution-data-server-2.32.2-r1
gnome-extra/evolution-webcal-2.32.0
mail-client/evolution-2.32.2-r3
Comment 23 Gilles Dartiguelongue gentoo-dev 2011-05-11 18:11:01 UTC
@jurgen, if you followed the gnome 2.32 upgrade guide, please open a new bug report so as to not mix old supposedly fixed issues with yours.